Index: /branches/NERC/dev_r5549_BDY_ZEROGRAD/NEMOGCM/NEMO/OPA_SRC/ASM/asminc.F90
===================================================================
--- /branches/NERC/dev_r5549_BDY_ZEROGRAD/NEMOGCM/NEMO/OPA_SRC/ASM/asminc.F90	(revision 6807)
+++ /branches/NERC/dev_r5549_BDY_ZEROGRAD/NEMOGCM/NEMO/OPA_SRC/ASM/asminc.F90	(revision 6808)
@@ -1050,20 +899,20 @@
             ! seaice salinity balancing (to add)
 #endif
- 
+            !
 #if defined key_cice && defined key_asminc
             ! Sea-ice : CICE case. Pass ice increment tendency into CICE
            ndaice_da(:,:) = seaice_bkginc(:,:) / rdt
 #endif
-           IF ( .NOT. PRESENT(kindic) ) THEN
-              DEALLOCATE( seaice_bkginc )
-           END IF
-
+            IF ( .NOT. PRESENT(kindic) ) THEN
+               DEALLOCATE( seaice_bkginc )
+            END IF
+            !
          ELSE
-
+            !
 #if defined key_cice && defined key_asminc
-            ! Sea-ice : CICE case. Zero ice increment tendency into CICE 
-            ndaice_da(:,:) = 0.0_wp
-#endif
-         
+            ndaice_da(:,:) = 0._wp     ! Sea-ice : CICE case. Zero ice increment tendency into CICE
+
+#endif
+            !
          ENDIF
 
@@ -1142,7 +991,7 @@
 !
 !#endif
-
+         !
       ENDIF
-
+      !
    END SUBROUTINE seaice_asm_inc
    
Index: /branches/NERC/dev_r5549_BDY_ZEROGRAD/NEMOGCM/NEMO/OPA_SRC/ASM/asmpar.F90
===================================================================
--- /branches/NERC/dev_r5549_BDY_ZEROGRAD/NEMOGCM/NEMO/OPA_SRC/ASM/asmpar.F90	(revision 6807)
+++ /branches/NERC/dev_r5549_BDY_ZEROGRAD/NEMOGCM/NEMO/OPA_SRC/ASM/asmpar.F90	(revision 6808)
@@ -6,27 +6,19 @@
 
    IMPLICIT NONE
-
-   !! * Routine accessibility
    PRIVATE
 
-   !! * Shared Modules variables
-   CHARACTER (LEN=40), PUBLIC, PARAMETER :: &
-      & c_asmbkg = 'assim_background_state_Jb',  & !: Filename for storing the 
-                                                   !: background state for use 
-                                                   !: in the Jb term
-      & c_asmdin = 'assim_background_state_DI',  & !: Filename for storing the 
-                                                   !: background state for direct 
-                                                   !: initialization
-      & c_asmtrj = 'assim_trj',                  & !: Filename for storing the 
-                                                   !: reference trajectory
-      & c_asminc = 'assim_background_increments'   !: Filename for storing the 
-                                                   !: increments to the background
-                                                   !: state
+   CHARACTER(LEN=40), PUBLIC, PARAMETER ::   c_asmbkg = 'assim_background_state_Jb'   !: Filename for storing the background state
+   !                                                                                  !  for use in the Jb term
+   CHARACTER(LEN=40), PUBLIC, PARAMETER ::   c_asmdin = 'assim_background_state_DI'   !: Filename for storing the background state
+   !                                                                                  !  for direct initialization
+   CHARACTER(LEN=40), PUBLIC, PARAMETER ::   c_asmtrj = 'assim_trj'                   !: Filename for storing the reference trajectory
+   CHARACTER(LEN=40), PUBLIC, PARAMETER ::   c_asminc = 'assim_background_increments' !: Filename for storing the increments 
+   !                                                                                  !  to the background state
 
-   INTEGER, PUBLIC :: nitbkg_r      !: Background time step referenced to nit000
-   INTEGER, PUBLIC :: nitdin_r      !: Direct Initialization time step referenced to nit000
-   INTEGER, PUBLIC :: nitiaustr_r   !: IAU starting time step referenced to nit000
-   INTEGER, PUBLIC :: nitiaufin_r   !: IAU final time step referenced to nit000
-   INTEGER, PUBLIC :: nittrjfrq     !: Frequency of trajectory output for 4D-VAR
+   INTEGER, PUBLIC ::   nitbkg_r      !: Background time step referenced to nit000
+   INTEGER, PUBLIC ::   nitdin_r      !: Direct Initialization time step referenced to nit000
+   INTEGER, PUBLIC ::   nitiaustr_r   !: IAU starting time step referenced to nit000
+   INTEGER, PUBLIC ::   nitiaufin_r   !: IAU final time step referenced to nit000
+   INTEGER, PUBLIC ::   nittrjfrq     !: Frequency of trajectory output for 4D-VAR
 
    !!----------------------------------------------------------------------
@@ -34,5 +26,4 @@
    !! $Id$
    !! Software governed by the CeCILL licence (NEMOGCM/NEMO_CeCILL.txt)
-   !!----------------------------------------------------------------------
-
+   !!======================================================================
 END MODULE asmpar
Index: /branches/NERC/dev_r5549_BDY_ZEROGRAD/NEMOGCM/NEMO/OPA_SRC/BDY/bdy_oce.F90
===================================================================
--- /branches/NERC/dev_r5549_BDY_ZEROGRAD/NEMOGCM/NEMO/OPA_SRC/BDY/bdy_oce.F90	(revision 6807)
+++ /branches/NERC/dev_r5549_BDY_ZEROGRAD/NEMOGCM/NEMO/OPA_SRC/BDY/bdy_oce.F90	(revision 6808)
@@ -8,5 +8,5 @@
    !!            3.3  !  2010-09  (D. Storkey) add ice boundary conditions
    !!            3.4  !  2011     (D. Storkey) rewrite in preparation for OBC-BDY merge
-   !!            3.6  !  2012-01  (C. Rousset) add ice boundary conditions for lim3
+   !!            3.6  !  2014-01  (C. Rousset) add ice boundary conditions for lim3
    !!----------------------------------------------------------------------
 #if defined key_bdy 
@@ -22,15 +22,15 @@
 
    TYPE, PUBLIC ::   OBC_INDEX    !: Indices and weights which define the open boundary
-      INTEGER,          DIMENSION(jpbgrd) ::  nblen
-      INTEGER,          DIMENSION(jpbgrd) ::  nblenrim
-      INTEGER, POINTER, DIMENSION(:,:)   ::  nbi
-      INTEGER, POINTER, DIMENSION(:,:)   ::  nbj
-      INTEGER, POINTER, DIMENSION(:,:)   ::  nbr
-      INTEGER, POINTER, DIMENSION(:,:)   ::  nbmap
-      REAL(wp)   , POINTER, DIMENSION(:,:)   ::  nbw
-      REAL(wp)   , POINTER, DIMENSION(:,:)   ::  nbd
-      REAL(wp)   , POINTER, DIMENSION(:,:)   ::  nbdout
-      REAL(wp)   , POINTER, DIMENSION(:,:)   ::  flagu
-      REAL(wp)   , POINTER, DIMENSION(:,:)   ::  flagv
+      INTEGER ,          DIMENSION(jpbgrd) ::  nblen
+      INTEGER ,          DIMENSION(jpbgrd) ::  nblenrim
+      INTEGER , POINTER, DIMENSION(:,:)    ::  nbi
+      INTEGER , POINTER, DIMENSION(:,:)    ::  nbj
+      INTEGER , POINTER, DIMENSION(:,:)    ::  nbr
+      INTEGER , POINTER, DIMENSION(:,:)    ::  nbmap
+      REAL(wp), POINTER, DIMENSION(:,:)    ::  nbw
+      REAL(wp), POINTER, DIMENSION(:,:)    ::  nbd
+      REAL(wp), POINTER, DIMENSION(:,:)    ::  nbdout
+      REAL(wp), POINTER, DIMENSION(:,:)    ::  flagu
+      REAL(wp), POINTER, DIMENSION(:,:)    ::  flagv
    END TYPE OBC_INDEX
 
@@ -41,33 +41,39 @@
 
    TYPE, PUBLIC ::   OBC_DATA     !: Storage for external data
-      INTEGER,       DIMENSION(2)     ::  nread
-      LOGICAL                         ::  ll_ssh
-      LOGICAL                         ::  ll_u2d
-      LOGICAL                         ::  ll_v2d
-      LOGICAL                         ::  ll_u3d
-      LOGICAL                         ::  ll_v3d
-      LOGICAL                         ::  ll_tem
-      LOGICAL                         ::  ll_sal
-      REAL(wp), POINTER, DIMENSION(:)     ::  ssh
-      REAL(wp), POINTER, DIMENSION(:)     ::  u2d
-      REAL(wp), POINTER, DIMENSION(:)     ::  v2d
-      REAL(wp), POINTER, DIMENSION(:,:)   ::  u3d
-      REAL(wp), POINTER, DIMENSION(:,:)   ::  v3d
-      REAL(wp), POINTER, DIMENSION(:,:)   ::  tem
-      REAL(wp), POINTER, DIMENSION(:,:)   ::  sal
+      INTEGER          , DIMENSION(2)   ::  nread
+      LOGICAL                           ::  ll_ssh
+      LOGICAL                           ::  ll_u2d
+      LOGICAL                           ::  ll_v2d
+      LOGICAL                           ::  ll_u3d
+      LOGICAL                           ::  ll_v3d
+      LOGICAL                           ::  ll_tem
+      LOGICAL                           ::  ll_sal
+      REAL(wp), POINTER, DIMENSION(:)   ::  ssh
+      REAL(wp), POINTER, DIMENSION(:)   ::  u2d
+      REAL(wp), POINTER, DIMENSION(:)   ::  v2d
+      REAL(wp), POINTER, DIMENSION(:,:) ::  u3d
+      REAL(wp), POINTER, DIMENSION(:,:) ::  v3d
+      REAL(wp), POINTER, DIMENSION(:,:) ::  tem
+      REAL(wp), POINTER, DIMENSION(:,:) ::  sal
 #if defined key_lim2
-      LOGICAL                         ::  ll_frld
-      LOGICAL                         ::  ll_hicif
-      LOGICAL                         ::  ll_hsnif
-      REAL(wp), POINTER, DIMENSION(:)     ::  frld
-      REAL(wp), POINTER, DIMENSION(:)     ::  hicif
-      REAL(wp), POINTER, DIMENSION(:)     ::  hsnif
+      LOGICAL                           ::   ll_frld
+      LOGICAL                           ::   ll_hicif
+      LOGICAL                           ::   ll_hsnif
+      REAL(wp), POINTER, DIMENSION(:)   ::   frld
+      REAL(wp), POINTER, DIMENSION(:)   ::   hicif
+      REAL(wp), POINTER, DIMENSION(:)   ::   hsnif
 #elif defined key_lim3
-      LOGICAL                         ::  ll_a_i
-      LOGICAL                         ::  ll_ht_i
-      LOGICAL                         ::  ll_ht_s
-      REAL, POINTER, DIMENSION(:,:)   ::  a_i   !: now ice leads fraction climatology
-      REAL, POINTER, DIMENSION(:,:)   ::  ht_i  !: Now ice  thickness climatology
-      REAL, POINTER, DIMENSION(:,:)   ::  ht_s  !: now snow thickness
+      LOGICAL                           ::   ll_a_i
+      LOGICAL                           ::   ll_ht_i
+      LOGICAL                           ::   ll_ht_s
+      REAL(wp), POINTER, DIMENSION(:,:) ::   a_i    !: now ice leads fraction climatology
+      REAL(wp), POINTER, DIMENSION(:,:) ::   ht_i   !: Now ice  thickness climatology
+      REAL(wp), POINTER, DIMENSION(:,:) ::   ht_s   !: now snow thickness
+#endif
+#if defined key_top
+      CHARACTER(LEN=20)                   :: cn_obc  !: type of boundary condition to apply
+      REAL(wp)                            :: rn_fac  !: multiplicative scaling factor
+      REAL(wp), POINTER, DIMENSION(:,:)   :: trc     !: now field of the tracer
+      LOGICAL                             :: dmp     !: obc damping term
 #endif
    END TYPE OBC_DATA
@@ -99,15 +105,15 @@
    INTEGER, DIMENSION(jp_bdy)           ::   nn_tra_dta     !: = 0 use the initial state as bdy dta ; 
                                                             !: = 1 read it in a NetCDF file
-   LOGICAL, DIMENSION(jp_bdy) ::   ln_tra_dmp               !: =T Tracer damping
-   LOGICAL, DIMENSION(jp_bdy) ::   ln_dyn3d_dmp             !: =T Baroclinic velocity damping
-   REAL(wp),    DIMENSION(jp_bdy) ::   rn_time_dmp              !: Damping time scale in days
-   REAL(wp),    DIMENSION(jp_bdy) ::   rn_time_dmp_out          !: Damping time scale in days at radiation outflow points
+   LOGICAL , DIMENSION(jp_bdy) ::   ln_tra_dmp              !: =T Tracer damping
+   LOGICAL , DIMENSION(jp_bdy) ::   ln_dyn3d_dmp            !: =T Baroclinic velocity damping
+   REAL(wp), DIMENSION(jp_bdy) ::   rn_time_dmp             !: Damping time scale in days
+   REAL(wp), DIMENSION(jp_bdy) ::   rn_time_dmp_out         !: Damping time scale in days at radiation outflow points
 
    CHARACTER(len=20), DIMENSION(jp_bdy) ::   cn_ice_lim       ! Choice of boundary condition for sea ice variables 
-   INTEGER, DIMENSION(jp_bdy)           ::   nn_ice_lim_dta   !: = 0 use the initial state as bdy dta ; 
+   INTEGER , DIMENSION(jp_bdy)          ::   nn_ice_lim_dta   !: = 0 use the initial state as bdy dta ; 
                                                               !: = 1 read it in a NetCDF file
-   REAL(wp),    DIMENSION(jp_bdy) ::   rn_ice_tem             !: choice of the temperature of incoming sea ice
-   REAL(wp),    DIMENSION(jp_bdy) ::   rn_ice_sal             !: choice of the salinity    of incoming sea ice
-   REAL(wp),    DIMENSION(jp_bdy) ::   rn_ice_age             !: choice of the age         of incoming sea ice
+   REAL(wp), DIMENSION(jp_bdy) ::   rn_ice_tem              !: choice of the temperature of incoming sea ice
+   REAL(wp), DIMENSION(jp_bdy) ::   rn_ice_sal              !: choice of the salinity    of incoming sea ice
+   REAL(wp), DIMENSION(jp_bdy) ::   rn_ice_age              !: choice of the age         of incoming sea ice
    !
    
